import { jsx } from "react/jsx-runtime";
import { MinusSquareIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const MinusSquare = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "MinusSquare", ...props, children: /* @__PURE__ */ jsx(MinusSquareIcon, { weight: variant }) });
  }
);
MinusSquare.displayName = "MinusSquare";
Object.assign(MinusSquare, { isGdsIcon: true });
export {
  MinusSquare
};
